AuditNature (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.AuditNature class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class AuditNature

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.common.server.session.AuditNature

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class AuditNature

extends HypericEnum

See Also:
  Serialized Form

Field Summary
`static AuditNature` | `CREATE`
`static AuditNature` | `DELETE`
`static AuditNature` | `DISABLE`
`static AuditNature` | `ENABLE`
`static AuditNature` | `MOVE`
`static AuditNature` | `START`
`static AuditNature` | `STOP`
`static AuditNature` | `UPDATE`

Constructor Summary
`protected` | `AuditNature(int code, java.lang.String desc, java.lang.String localeProp)`

Method Summary
`static AuditNature` | `findByCode(int code)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE

    public static AuditNature CREATE

### UPDATE

    public static AuditNature UPDATE

### DELETE

    public static AuditNature DELETE

### START

    public static AuditNature START

### STOP

    public static AuditNature STOP

### ENABLE

    public static AuditNature ENABLE

### DISABLE

    public static AuditNature DISABLE

### MOVE

    public static AuditNature MOVE

Constructor Detail

### AuditNature

    protected AuditNature(int code,
                          java.lang.String desc,
                          java.lang.String localeProp)

Method Detail

### findByCode

    public static AuditNature findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.